Subject: Re: [X2Go-Dev] Bug#697: Nightly x2goserver crashes the x2go windows client on connect

From: Jasmin Lévesque <[email-masked]>
Date: Sun, 11 Jan 2015 21:29:26 -0500

Happy new year!

I just did the manual changes you suggested, it works.

So I removed my rebuilt RPMs to install the latest nightly build. It still
creates the "x2gouser" with the wrong HOME path and the x2go_sessions DB is
missing. The version used was x2goserver.x86_64
0:4.1.0.0-0.0x2go1.0.git20150109.1211.heuler.el7.centos.

I've checked the HEAD for spec file in git. In x2goserver.spec, the
usercreate and the DB creation seems ok. Is it possible that the nightly
RPM "git20150109.1211" is not really the latest? Am I missing something?

Thanks for the follow-ups

Jasmin

On Thu, Jan 8, 2015 at 5:56 PM, Mike Gabriel <
[email-masked]> wrote:

> On  Fr 12 Dez 2014 04:12:50 CET, Jasmin Lévesque wrote:
>
>  While trying to run x2golistsessions on the server:
>> DBIconnect('dbname=/var/x2go/x2go_sessions','',...)failed:
>> unabletoopendatabasefileat/usr/share/perl5/vendor_perl/
>> X2Go/Server/DB/SQLite3.pmline67.
>>
>
> Also: the x2go_sessions file should be in /var/lib/x2go/x2go_sessions,
> this was a previous problem with the RPM packages provided by X2Go.
>
> Please adapt the HOME path for system user x2gouser on your system (set it
> to /var/lib/x2go). Then re-run x2godbadmin --createdb (I misspelled the
> command name in my previous mail) and try another session startup.
>
>
> Mike
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
> netzwerkteam.de.xfb
>